#
# spec file for package fdpp
#

Name: fdpp
Version: 0.0.git.1684.13c4e6f1
Release: 1%{?dist}
Summary: 64-bit DOS core

Group: System/Emulator

License: GPLv3+
URL: https://github.com/dosemu2/fdpp
VCS: git+https://github.com/dosemu2/fdpp.git#13c4e6f19be973b95028d8605d94991c94c911c1:
Source0: fdpp-git.tar.gz

BuildRequires: sed
BuildRequires: bash
BuildRequires: clang
BuildRequires: nasm-segelf
BuildRequires: binutils
BuildRequires: binutils-x86_64-linux-gnu
BuildRequires: coreutils
BuildRequires: libstdc++-devel
BuildRequires: elfutils-libelf-devel
BuildRequires: thunk-gen
BuildRequires: git
BuildRequires: pkgconf-pkg-config

%description
fdpp is a 64-bit DOS core.
It is based on a FreeDOS kernel ported to modern C++.

%prep
%setup -T -b 0 -q -n fdpp

%global toolchain clang

%build
./configure
make %{?_smp_mflags} prefix=%{_prefix} libdir=%{_libdir}

%check

%install
make prefix=%{_prefix} libdir=%{_libdir} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%{_libdir}/fdpp/*.so.*
%{_datadir}/fdpp

%package devel
Summary: fdpp development headers
Requires: fdpp
%description devel
This package contains headers for fdpp usage.

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/fdpp.pc
%{_libdir}/fdpp/*.so
%{_includedir}/fdpp

%changelog
